%define emacs_mode desktop-entry
%define _emacs_startscriptsdir %_sysconfdir/emacs/site-start.d

Name: desktop-file-utils
Version: 0.10
Release: alt2

Summary: Utilities for manipulating .desktop files
Group: Graphical desktop/Other
License: GPL
URL: http://www.freedesktop.org/software/desktop-file-utils

Source: %name-%version.tar.gz
Patch0: update-desktop-database-ALT.patch

# Manually excluded: gcc-c++ gcc-g77 libstdc++-devel
# Automatically added by buildreq on Sat Nov 13 2004
BuildRequires: emacs-cedet emacs-common emacs-leim glib2-devel libpopt-devel pkgconfig xorg-x11-libs xorg-x11-locales

%description
.desktop files are used to describe an application for inclusion in
GNOME or KDE menus.  This package contains desktop-file-validate which
checks whether a .desktop file complies with the specification at
http://www.freedesktop.org/standards/, and desktop-file-install 
which installs a desktop file to the standard directory, optionally 
fixing it up in the process.

%package -n emacs-mode-%emacs_mode
Summary: Emacs major mode for editing .desktop files
Group: Editors
Requires: %name = %version-%release

%description -n emacs-mode-%emacs_mode
emacs-mode-%emacs_mode provides support for editing freedesktop.org
desktop entry files.

All Emacs Lisp code is byte-copmpiled, install emacs-mode-%emacs_mode-el for sources.

%package -n emacs-mode-%emacs_mode-el
Summary: The Emacs Lisp sources for bytecode included in emacs-mode-%emacs_mode
Group: Development/Lisp

%description -n emacs-mode-%emacs_mode-el
emacs-mode-%emacs_mode provides support for editing freedesktop.org
desktop entry files.

emacs-mode-%emacs_mode-el contains the Emacs Lisp sources for the bytecode
included in the emacs-mode-%emacs_mode package, that extends the Emacs editor.

You need to install emacs-mode-%emacs_mode-el only if you intend to modify any of the
emacs-mode-%emacs_mode code or see some Lisp examples.


%prep
%setup -q
#%patch0 -p1
autoreconf -isfv

%build
%configure --disable-static --with-lispdir=%_emacslispdir
%make_build

%install
%make install DESTDIR=$RPM_BUILD_ROOT

# {update,clean}_desktopdb macros
%__mkdir_p %buildroot%_sysconfdir/rpm/macros.d
%__cat <<__MACRO__ >%buildroot%_sysconfdir/rpm/macros.d/%name
%%_update_desktopdb_bin %%_bindir/update-desktop-database
%%update_desktopdb [ -x %%_update_desktopdb_bin ] && %%_update_desktopdb_bin -q ||:
%%clean_desktopdb [ "\$1" = 0 -a -x %%_update_desktopdb_bin ] && %%_update_desktopdb_bin -q ||:
__MACRO__

# Create %emacs_mode-init.el
%__cat <<__INIT__ >%emacs_mode-init.el
;;; %emacs_mode-init.el --- Startup code for desktop-entry mode
;;;
    
;; load %emacs_mode-mode 
    (setq auto-mode-alist (append '(("\\.desktop$" . %emacs_mode)) auto-mode-alist))

__INIT__

%__install -pD -m644 %emacs_mode-init.el %buildroot%_emacs_startscriptsdir/%emacs_mode-init.el

# remove none-packaged files
%__rm -f %buildroot%_libdir/gnome-vfs-2.0/modules/*.la

%post
%_bindir/update-desktop-database ||:

%files
%_bindir/*
%_sysconfdir/rpm/macros.d/*

%files -n emacs-mode-%emacs_mode
%config(noreplace) %_emacs_startscriptsdir/%emacs_mode-init.el
%_emacslispdir/%emacs_mode-mode.elc

%files -n emacs-mode-%emacs_mode-el
%_emacslispdir/%emacs_mode-mode.el

%changelog
* Mon Nov 22 2004 Sergey V Turchin <zerg at altlinux dot org> 0.10-alt2
- fix %%post
- don't own %%_sysconfdir/rpm/macros.d
  thanks aris@altlinux

* Mon Nov 15 2004 Sergey V Turchin <zerg at altlinux dot org> 0.10-alt1
- add patch to update-desktop-database for customized menu (not applied)
- thanks mhz@altlinux for previous changes

* Sat Nov 13 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.10-alt0.1mhz1
- 0.10
- Autoreconf to fix emacs configure
- buildreq

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt1
- 0.8
- emacs-mode-desktop-entry{,-el} subpackages. 
- %%{update,clean}_desktopdb macros.
- TODO: move mimeinfo.cache to /var/cache/applications.

* Fri Jun 18 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6-alt1
- new version

* Tue Mar 09 2004 Sergey V Turchin <zerg at altlinux dot org> 0.5-alt1
- new version

* Thu Feb 13 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.3-alt1
- Ported from RawHide
